html, body {
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
}

footer {
    background: #1B11AF;
    opacity: 0.7;
    color: white;
    padding: 40px 20px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 7.5%;
}

footer h4 {
    margin-bottom: 10px;
    font-size: 1.2em;
    border-bottom: 2px solid white;
    padding-bottom: 5px;
}

footer a {
    color: white;
    text-decoration: none;
    transition: color 0.3s ease;
}

footer a:hover {
    color: #FF69B4;
}

footer > div {
    flex: 1;
    max-width: 15%;
}

.footer-newsletter {
    display: flex;
}

.footer-newsletter input {
    width: 70%;
    padding: 8px;
    border: none;
    border-radius: 5px 0 0 5px;
}

.footer-newsletter button {
    padding: 8px 12px;
    background-color: #eeeeee;
    color: rgb(0, 0, 0);
    border: none;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
}

.footer-newsletter button:hover {
    background-color: #c7c7c7;
}

.footer-logo-img {
    width: 60px;
    height: auto;
    margin-bottom: 10px;
}

.socials {
    margin-left: 20px;
}

.footer-socials {
    display: flex;
    gap: 10px;
    margin-top: 10px;
}

.footer-socials img {
    width: 25px;
    height: 25px;
    transition: transform 0.3s ease;
}

.footer-socials img:hover {
    transform: scale(1.1);
}

.footer-list {
    margin-right: 10%;
}

.footer-list ul {
    list-style: none;
}

@media (max-width: 768px) {
    footer {
        flex-direction: column;
        align-items: center;
    }
    
    footer > div {
        max-width: 100%;
        margin-bottom: 20px;
    }

    .socials {
        margin-left: 0;
        text-align: center;
    }

    .footer-newsletter {
        flex-direction: column;
        align-items: center;
    }
    
    .footer-newsletter input,
    .footer-newsletter button {
        width: 100%;
        border-radius: 5px;
    }

    .footer-newsletter input {
        margin-bottom: 10px;
    }

    .footer-list {
        margin-right: 0;
        text-align: center;
    }

    footer h4 {
        text-align: center;
    }
}

